## ros-foxy-rosbag2-tests 0.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_tests)

add_definitions(-D_SRC_RESOURCES_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}/resources")

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(rmw_fastrtps_cpp QUIET)
  # disable tests that depends on rosbag2_converter_default_plugins at runtime
  if(rmw_fastrtps_cpp_FOUND)
    find_package(rclcpp REQUIRED)
    find_package(rcpputils REQUIRED)
    find_package(rosbag2_compression REQUIRED)
    find_package(rosbag2_cpp REQUIRED)
    find_package(rosbag2_storage REQUIRED)
    find_package(rosbag2_storage_default_plugins REQUIRED)
    find_package(rosbag2_test_common REQUIRED)
    find_package(std_msgs REQUIRED)
    find_package(test_msgs REQUIRED)

    ament_add_gmock(test_rosbag2_record_end_to_end
      test/rosbag2_tests/test_rosbag2_record_end_to_end.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_rosbag2_record_end_to_end)
      ament_target_dependencies(test_rosbag2_record_end_to_end
        rclcpp
        rosbag2_compression
        rosbag2_storage
        rosbag2_storage_default_plugins
        rosbag2_test_common
        test_msgs)
    endif()

    ament_add_gmock(test_rosbag2_play_end_to_end
      test/rosbag2_tests/test_rosbag2_play_end_to_end.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_rosbag2_play_end_to_end)
      ament_target_dependencies(test_rosbag2_play_end_to_end
        rclcpp
        rosbag2_storage
        rosbag2_storage_default_plugins
        rosbag2_test_common
        test_msgs)
    endif()

    ament_add_gmock(test_rosbag2_info_end_to_end
      test/rosbag2_tests/test_rosbag2_info_end_to_end.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_rosbag2_info_end_to_end)
      ament_target_dependencies(test_rosbag2_info_end_to_end
        rosbag2_storage
        rosbag2_test_common)
    endif()

    ament_add_gmock(test_converter
      test/rosbag2_tests/test_converter.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_converter)
      ament_target_dependencies(test_converter
        rosbag2_cpp
        rosbag2_test_common
        test_msgs)
    endif()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-rosbag2-tests (0.3.11-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.10-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.8-1focal) focal; urgency=high

  * Disable SIGTERM test on Windows in Foxy due to shutdown behavior in tests on that platform. (#818 <https://github.com/ros2/rosbag2/issues/818>)
  * Handle SIGTERM gracefully in recording (#809 <https://github.com/ros2/rosbag2/issues/809>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.7-1focal) focal; urgency=high

  * [foxy backport] Fix --topics flag for ros2 bag play being ignored for all bags after the first one (#619 <https://github.com/ros2/rosbag2/issues/619>) (#654 <https://github.com/ros2/rosbag2/issues/654>)
  * Contributors: Aleksandr Rozhdestvenskii

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.3.0-1focal) focal; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.8-1focal) focal; urgency=high

  * Disable play_filters_by_topic test (#410 <https://github.com/ros2/rosbag2/issues/410>)
  * Contributors: Mabel Zhang

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.7-1focal) focal; urgency=high

  * Fix splitting tests on windows (#407 <https://github.com/ros2/rosbag2/issues/407>)
  * Fix #381 <https://github.com/ros2/rosbag2/issues/381> unstable play_end_to_end test (#396 <https://github.com/ros2/rosbag2/issues/396>)
  * Contributors: Karsten Knese, Mabel Zhang

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.6-1focal) focal; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.5-1focal) focal; urgency=high

  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Fix rosbag2_tests resource files and play_end_to_end test (#362 <https://github.com/ros2/rosbag2/issues/362>)
  * Replace poco dependency by rcutils (#322 <https://github.com/ros2/rosbag2/issues/322>)
  * resolve relative file paths (#345 <https://github.com/ros2/rosbag2/issues/345>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * Replace rcutils_get_file_size with rcpputils::fs::file_size (#291 <https://github.com/ros2/rosbag2/issues/291>)
  * [compression] Enable compression through ros2bag cli (#263 <https://github.com/ros2/rosbag2/issues/263>)
  * Wait for metadata to be written to disk (#283 <https://github.com/ros2/rosbag2/issues/283>)
  * Refactor record_fixture to use rcpputils::fs::path (#286 <https://github.com/ros2/rosbag2/issues/286>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Enhance E2E tests in Windows (#278 <https://github.com/ros2/rosbag2/issues/278>)
  * Add splitting e2e tests (#247 <https://github.com/ros2/rosbag2/issues/247>)
  * remove rosbag2 filesystem helper (#249 <https://github.com/ros2/rosbag2/issues/249>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * [Compression - 7] Add compression metadata (#221 <https://github.com/ros2/rosbag2/issues/221>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Alejandro Hernández Cordero, Anas Abou Allaban, Dirk Thomas, Karsten Knese, Mabel Zhang, Sriram Raghunathan, Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.3-1focal) focal; urgency=high

  * Enhance rosbag writer capabilities to split bag files. (#185 <https://github.com/ros2/rosbag2/issues/185>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-rosbag2-tests (0.2.2-1focal) focal; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000



=== debian/control ===
Source: ros-foxy-rosbag2-tests
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-rclcpp <!nocheck>, ros-foxy-rcpputils <!nocheck>, ros-foxy-ros2bag <!nocheck>, ros-foxy-rosbag2-compression <!nocheck>, ros-foxy-rosbag2-converter-default-plugins <!nocheck>, ros-foxy-rosbag2-cpp <!nocheck>, ros-foxy-rosbag2-storage <!nocheck>, ros-foxy-rosbag2-storage-default-plugins <!nocheck>, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-std-msgs <!nocheck>, ros-foxy-test-msgs <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-cpp, ros-foxy-ros-workspace
Description: Tests package for rosbag2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosbag2-tests//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
